org.glassfish.jersey.server.wadl

## Interface WadlGenerator.Resolver

Enclosing interface:
  WadlGenerator

    public static interface WadlGenerator.Resolver

Call back interface that the created external grammar can use to allow other parts of the code to attach the correct grammar information.

### Method Summary

All Methods Instance Methods Abstract Methods
`QName` `resolve(Class type)` Resolve a Class type to a QName.

### Method Detail

#### resolve

    QName resolve(Class type)

Resolve a Class type to a QName.

Parameters:
  `type` - The type of the class.
Returns:
  The schema type of the class if defined, null if not.